> For the complete documentation index, see [llms.txt](https://docs.relysia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.relysia.com/payments/asm.md).

# Asm

**Asm trasaction:**

With this endpoint user can create a trasaction by passing custom ASM script as input. This endpoint accept ASM script an amount of trasfer as input in request body. It send amount of BSV to target destination.

{% hint style="warning" %}
Asm doesn't support Token or NFT transfer, It only support BSV transfer.&#x20;
{% endhint %}

```javascript
const dataArray = [
    {
      "asm": "string",
      "amount": "number"
    }
];
```

## Asm trasaction endpoint

<mark style="color:green;">`POST`</mark> `https://api.relysia.com/v1/asm`

The asm endpoint allows custom scripts to be added as outputs in a transaction

#### Headers

| Name     | Type   | Description |
| -------- | ------ | ----------- |
| walletId | string |             |

#### Request Body

| Name      | Type   | Description  |
| --------- | ------ | ------------ |
| dataArray | object | As per above |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "statusCode": 200,
  "data": {
    "status": "success",
    "txid": "string"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.relysia.com/payments/asm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
